<?php
/* vim: set expandtab tabstop=4 softtabstop=4 shiftwidth=4:
  Codificación: UTF-8
  +----------------------------------------------------------------------+
  | Issabel version 4.0                                                  |
  | http://www.issabel.org                                               |
  +----------------------------------------------------------------------+
  | Copyright (c) 2021 Issabel Guru                                      |
  +----------------------------------------------------------------------+
  | The contents of this file are subject to the General Public License  |
  | (GPL) Version 2 (the "License"); you may not use this file except in |
  | compliance with the License. You may obtain a copy of the License at |
  | http://www.opensource.org/licenses/gpl-license.php                   |
  |                                                                      |
  | Software distributed under the License is distributed on an "AS IS"  |
  | basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See  |
  | the License for the specific language governing rights and           |
  | limitations under the License.                                       |
  +----------------------------------------------------------------------+
  $Id: index.php, Sun 16 May 2021 10:54:09 AM EDT, nicolas@issabel.com
*/

session_name("issabelSession");
session_start();
if(!isset($_SESSION["issabel_user"])) {
    header("Location: /");
}

$port = 443;
if(is_readable("/etc/httpd/conf.d/ssl.conf")) {
   $httpdconf = file("/etc/httpd/conf.d/ssl.conf");
   foreach($httpdconf as $line) {
       $tline = trim($line);
       if(preg_match("/^Listen (.*) https/i",$tline,$matches)) {
           $port = $matches[1];
           $port = intval($port);
       }
   }
}

$tlsport = 8089;
if(is_readable("/etc/asterisk/http_additional.conf")) {
   $httpdconf = file("/etc/asterisk/http_additional.conf");
   foreach($httpdconf as $line) {
       $tline = trim($line);
       if(preg_match("/^tlsbindaddr=(.*)/i",$tline,$matches)) {
           $val = $matches[1];
           $partes = preg_split("/:/",$val);
           $tlsport = $partes[1];
       }
   }
}
?>
<html>
<head>
<script>
redirect = 'https://'+window.location.hostname+':<?php echo $tlsport;?>/static/phone.html?port=<?php echo $port;?>';
window.location=redirect;
</script>
</head>
</html>
