<?php
/* vim: set expandtab tabstop=4 softtabstop=4 shiftwidth=4:
  Codificación: UTF-8
  +----------------------------------------------------------------------+
  | Issabel version 4.0                                                  |
  | http://www.issabel.org                                               |
  +----------------------------------------------------------------------+
  | Copyright (c) 2021 Issabel Guru                                      |
  +----------------------------------------------------------------------+
  | The contents of this file are subject to the General Public License  |
  | (GPL) Version 2 (the "License"); you may not use this file except in |
  | compliance with the License. You may obtain a copy of the License at |
  | http://www.opensource.org/licenses/gpl-license.php                   |
  |                                                                      |
  | Software distributed under the License is distributed on an "AS IS"  |
  | basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See  |
  | the License for the specific language governing rights and           |
  | limitations under the License.                                       |
  +----------------------------------------------------------------------+
  $Id: index.php, Sun 16 May 2021 10:54:09 AM EDT, nicolas@issabel.com
*/
session_name("issabelSession");
session_start();
if(!isset($_SESSION["issabel_user"])) {
    header("Location: /");
}
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Issabel Phone</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no"/>
        <meta name="HandheldFriendly" content="true">

        <meta name="format-detection" content="telephone=no"/>
        <meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE"/>
        <meta name="apple-mobile-web-app-capabale" content="yes"/>
        
        <meta http-equiv="Pragma" content="no-cache"/>
        <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate"/>
        <meta http-equiv="Expires" content="0"/>

        <link rel="icon" href="favicon.ico">

        <link rel="stylesheet" type="text/css" href="css/normalize-v8.0.1.css"/>
        <link rel="stylesheet" type="text/css" href="css/font-awesome.min.css"/>
        <link rel="stylesheet" type="text/css" href="css/dhtmlx.css">
        <link rel="stylesheet" type="text/css" href="css/croppie.css"/>        
        <link rel="stylesheet" type="text/css" href="css/roboto.css"/>
        <link rel="stylesheet" type="text/css" href="css/phone.css"/>

        <script src="js/jquery-3.3.1.min.js"></script>
        <script src="js/jquery.md5-min.js"></script>
        <script src="js/Chart.bundle-2.7.2.js"></script>
        <script src="js/dhtmlx.js"></script>
        <script src="js/sip-0.11.6.min.js"></script>
        <script src="js/fabric-2.4.6.min.js"></script>
        <script src="js/moment-with-locales-2.24.0.min.js"></script>
        <script src="js/croppie.min.js"></script>
        <script src="js/js.cookie.min.js"></script>
        <script src="js/strophe-1.4.1.umd.min.js"></script>

        <script type="text/javascript">
            var web_hook_on_transportError = function(t, ua){
                console.warn("web_hook_on_transportError",t, ua);
            }
            var web_hook_on_register = function(ua){
                console.warn("web_hook_on_register", ua);
            }
            var web_hook_on_registrationFailed = function(e){
                console.warn("web_hook_on_registrationFailed", e);
            }
            var web_hook_on_unregistered = function(){
                console.warn("web_hook_on_unregistered");
            }
            var web_hook_on_invite = function(session){
                console.warn("web_hook_on_invite", session);
            }
            var web_hook_on_message = function(message){
                console.warn("web_hook_on_message", message);
            }
            var web_hook_on_modify = function(action, session){
                console.warn("web_hook_on_modify", action, session);
            }
            var web_hook_on_dtmf = function(item, session){
                console.warn("web_hook_on_dtmf", item, session);
            }
            var web_hook_on_terminate = function(session){
                console.warn("web_hook_on_terminate", session);
            }
        </script>
        <script type="text/javascript" src="js/phone.js"></script>
    </head>

    <body>
        <div id=Phone></div>
    </body>
</html>
